<?php
ini_set('include_path',ini_get('include_path').PATH_SEPARATOR.realpath('./'));

require_once('Zend/Loader/Autoloader.php');

$loader = Zend_Loader_Autoloader::getInstance();

$pdf = Zend_Pdf::load('35232018_Summary(2).pdf');

$signature = new Zend_Pdf_Signature('self_key_cert.pem','','tmp',true);
$signature->setSigParams(array(
    'Name' => 'Alexey Deriyenko',
    'Location' => 'Kharkov, UA',
    'Reason' => 'I\'m approving this document',
    'ContactInfo' => 'alexey.deriyenko@gmail.com'
));
$signature->setTSAParams(array(
    'TSA_username' => '',
    'TSA_password' => '',
    'TSA_url'      => 'http://timestamping.edelweb.fr/service/tsp',
    'TSA_cert'     => '',
    'TSA_algorithm' => 'sha1'
));

$pdf->setSignature($signature);

$fp = fopen('tmp3.pdf','w');
$pdf->render(false,$fp);
fclose($fp);